CREATE TABLE irc_cand_msg_logs (
    CAND_MSG_LOG_ID             NUMBER(18, 0) ,
    MSG_TYPE                    VARCHAR2(80)      NOT NULL,
    PROCESSING_STATUS           VARCHAR2(120)     NOT NULL,
    REFERENCE_ID                NUMBER(18, 0) ,
    RETRY_COUNT                 NUMBER(2, 0)  ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    MESSAGE_IDENTIFIER          VARCHAR2(1600),
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    MESSAGE_DUMP                CLOB          ,
    PROCESSING_ERROR_MESSAGE    CLOB          ,
    ATTACHMENT_COUNT            NUMBER(2, 0)  ,
    ATTACHMENT_INFO             CLOB          ,
    CAND_MSG_LOG_ID             NUMBER(18, 0) ,
    MSG_TYPE                    VARCHAR2(80)      NOT NULL,
    PROCESSING_STATUS           VARCHAR2(120)     NOT NULL,
    REFERENCE_ID                NUMBER(18, 0) ,
    RETRY_COUNT                 NUMBER(2, 0)  ,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    MESSAGE_DUMP                CLOB          ,
    PROCESSING_ERROR_MESSAGE    CLOB          ,
    REQUEST_ID                  NUMBER(18, 0) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    MESSAGE_IDENTIFIER          VARCHAR2(1600),
    ATTACHMENT_COUNT            NUMBER(2, 0)  ,
    ATTACHMENT_INFO             CLOB          ,
    CONSTRAINT pk_irc_cand_msg_logs PRIMARY KEY (CAND_MSG_LOG_ID, CAND_MSG_LOG_ID)
);
